### Figures that show summary / main results of simulations
##---------------------------------------------------------

## works only with running 'summaryfigssetup.R'

##-----------
## PLOT
##-----------

mat<-matrix(c(1:(4*nsets)),byrow=F,ncol=nsets,nrow=4)
layout(mat,widths=rep(2,nsets),heights=c(2,1,1,1))


##---------------------
## first column for plot
##---------------------
myruns<-1:3

par(mar=c(3.5,4,2,1))
##-----------
## summary stats Fst
plot(0:ngen,rep(0.5,ngen+1),ylim=c(0,1),axes=F,xlab="",ylab="",type="n")

box()
axis(1,padj=-0.4,cex.axis=1.1)
axis(2,at=c(0,0.25,0.5,0.75,1),padj=0.6,cex.axis=1.1)

mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext("Generation",side=1,line=2.2,cex=1)
mtext(myrunhead[1],side=3,line=0.25,cex=1)
mtext("A",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)



for(k in myruns){

    meanfst<-numeric()
    sdfst<-numeric()

    for(g in 0:ngen){ ## stats file includes generation 0
        myrow<-seq((ndeme+1)+g*(ndeme+1),dim(mystats)[1],(ndeme+1)*(ngen+1)) ## deme "meta"

        meanfst<-c(meanfst,mean(as.numeric(mystats[myrow,15,k]),na.rm=T))
        sdfst<-c(sdfst,sd(as.numeric(mystats[myrow,15,k]),na.rm=T))
    }

    lines(0:ngen,meanfst,col=runcols[k],lty=1,lwd=2)
    lines(0:ngen,meanfst-sdfst,col=runcols[k],lty=1,lwd=0.8)
    lines(0:ngen,meanfst+sdfst,col=runcols[k],lty=1,lwd=0.8)

}


par(mar=c(1.5,4,2,1))
##-----------
## repFst over loci, first setting
plot(1:nloci,dat1_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat1_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[1],side=3,line=0,cex=0.9)
## selected loci position
points(sel1,rep(0.0,length(sel1)),pch=24,bg="gray",cex=0.8)



par(mar=c(2.5,4,1,1))
##-----------
## repFst over loci, second setting
plot(1:nloci,dat2_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat2_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[2],side=3,line=0,cex=0.9)
## selected loci position
points(sel1,rep(0.0,length(sel1)),pch=24,bg="gray",cex=0.8)





par(mar=c(3.5,4,0,1))
##-----------
## rFst over loci, single replicate, second setting
r<-1

plot(1:nloci,dat2_rFst[,1,r],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat2_rFst[start.chr[j]:end.chr[j],plotgen[g],r],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[3],side=3,line=0,cex=0.9)
## selected loci position
points(sel1,rep(0.0,length(sel1)),pch=24,bg="gray",cex=0.8)







##---------------------
## second column for plot
##---------------------
myruns<-4:6

par(mar=c(3.5,4,2,1))
##-----------
## summary stats Fst
plot(0:ngen,rep(0.5,ngen+1),ylim=c(0,1),axes=F,xlab="",ylab="",type="n")

box()
axis(1,padj=-0.4,cex.axis=1.1)
axis(2,at=c(0,0.25,0.5,0.75,1),padj=0.6,cex.axis=1.1)

mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext("Generation",side=1,line=2.2,cex=1)
mtext(myrunhead[2],side=3,line=0.25,cex=1)
mtext("B",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)

legend(summarylegendpos2,legend=c("mean","+/- sd"),
       col=c("darkgray","darkgray"),
       lwd=c(2,0.8), lty=1, bty="n",cex=1.1)
legend(summarylegendpos,legend=c(legendnames[myruns]),
       col=c(runcols),
       lwd=c(rep(1.2,length(myruns))), lty=1, bty="n",cex=1.1)



for(k in myruns){

    meanfst<-numeric()
    sdfst<-numeric()

    for(g in 0:ngen){ ## stats file includes generation 0
        myrow<-seq((ndeme+1)+g*(ndeme+1),dim(mystats)[1],(ndeme+1)*(ngen+1)) ## deme "meta"

        meanfst<-c(meanfst,mean(as.numeric(mystats[myrow,15,k]),na.rm=T))
        sdfst<-c(sdfst,sd(as.numeric(mystats[myrow,15,k]),na.rm=T))
    }

    lines(0:ngen,meanfst,col=runcols[k],lty=1,lwd=2)
    lines(0:ngen,meanfst-sdfst,col=runcols[k],lty=1,lwd=0.8)
    lines(0:ngen,meanfst+sdfst,col=runcols[k],lty=1,lwd=0.8)

}


par(mar=c(1.5,4,2,1))
##-----------
## repFst over loci, first setting
plot(1:nloci,dat3_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ # separate chromosomes
        lines(start.chr[j]:end.chr[j],dat3_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[1],side=3,line=0,cex=0.9)
## selected loci position
points(sel2,rep(0.0,length(sel2)),pch=24,bg="gray",cex=0.8)

legend(legendposition,legend=paste("g=",outgen[plotgen],sep=""),col=my.pal,
               lwd=my.lwd, bty="n",y.intersp=0.9,cex=1.0,ncol=3)


par(mar=c(2.5,4,1,1))
##-----------
## repFst over loci, second setting
plot(1:nloci,dat4_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat4_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[2],side=3,line=0,cex=0.9)
## selected loci position
points(sel2,rep(0.0,length(sel2)),pch=24,bg="gray",cex=0.8)






par(mar=c(3.5,4,0,1))
##-----------
## rFst over loci, single replicate, second setting
r<-1

plot(1:nloci,dat4_rFst[,1,r],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat4_rFst[start.chr[j]:end.chr[j],plotgen[g],r],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[3],side=3,line=0,cex=0.9)
## selected loci position
points(sel2,rep(0.0,length(sel2)),pch=24,bg="gray",cex=0.8)









##---------------------
## third column for plot
##---------------------
myruns<-7:9

par(mar=c(3.5,4,2,1))
##-----------
## summary stats Fst
plot(0:ngen,rep(0.5,ngen+1),ylim=c(0,1),axes=F,xlab="",ylab="",type="n")

box()
axis(1,padj=-0.4,cex.axis=1.1)
axis(2,at=c(0,0.25,0.5,0.75,1),padj=0.6,cex.axis=1.1)

mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext("Generation",side=1,line=2.2,cex=1)
mtext(myrunhead[3],side=3,line=0.25,cex=1)
mtext("C",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)



for(k in myruns){

    meanfst<-numeric()
    sdfst<-numeric()

    for(g in 0:ngen){ ## stats file includes generation 0
        myrow<-seq((ndeme+1)+g*(ndeme+1),dim(mystats)[1],(ndeme+1)*(ngen+1)) ## deme "meta"

        meanfst<-c(meanfst,mean(as.numeric(mystats[myrow,15,k]),na.rm=T))
        sdfst<-c(sdfst,sd(as.numeric(mystats[myrow,15,k]),na.rm=T))
    }

    lines(0:ngen,meanfst,col=runcols[k],lty=1,lwd=2)
    lines(0:ngen,meanfst-sdfst,col=runcols[k],lty=1,lwd=0.8)
    lines(0:ngen,meanfst+sdfst,col=runcols[k],lty=1,lwd=0.8)

}


par(mar=c(1.5,4,2,1))
##-----------
## repFst over loci, first setting
plot(1:nloci,dat5_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat5_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[1],side=3,line=0,cex=0.9)
## selected loci position
points(sel3,rep(0.0,length(sel3)),pch=24,bg="gray",cex=0.8)



par(mar=c(2.5,4,1,1))
##-----------
## repFst over loci, second setting
plot(1:nloci,dat6_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat6_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[2],side=3,line=0,cex=0.9)
## selected loci position
points(sel3,rep(0.0,length(sel3)),pch=24,bg="gray",cex=0.8)






par(mar=c(3.5,4,0,1))
##-----------
## rFst over loci, single replicate, second setting
r<-1

plot(1:nloci,dat6_rFst[,1,r],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat6_rFst[start.chr[j]:end.chr[j],plotgen[g],r],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[3],side=3,line=0,cex=0.9)
## selected loci position
points(sel3,rep(0.0,length(sel3)),pch=24,bg="gray",cex=0.8)







##---------------------
## fourth column for plot
##---------------------
myruns<-10:12

par(mar=c(3.5,4,2,1))
##-----------
## summary stats Fst
plot(0:ngen,rep(0.5,ngen+1),ylim=c(0,1),axes=F,xlab="",ylab="",type="n")

box()
axis(1,padj=-0.4,cex.axis=1.1)
axis(2,at=c(0,0.25,0.5,0.75,1),padj=0.6,cex.axis=1.1)

mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext("Generation",side=1,line=2.2,cex=1)
mtext(myrunhead[4],side=3,line=0.25,cex=1)
mtext("D",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)



for(k in myruns){

    meanfst<-numeric()
    sdfst<-numeric()

    for(g in 0:ngen){ ## stats file includes generation 0
        myrow<-seq((ndeme+1)+g*(ndeme+1),dim(mystats)[1],(ndeme+1)*(ngen+1)) ## deme "meta"

        meanfst<-c(meanfst,mean(as.numeric(mystats[myrow,15,k]),na.rm=T))
        sdfst<-c(sdfst,sd(as.numeric(mystats[myrow,15,k]),na.rm=T))
    }

    lines(0:ngen,meanfst,col=runcols[k],lty=1,lwd=2)
    lines(0:ngen,meanfst-sdfst,col=runcols[k],lty=1,lwd=0.8)
    lines(0:ngen,meanfst+sdfst,col=runcols[k],lty=1,lwd=0.8)

}


par(mar=c(1.5,4,2,1))
##-----------
## repFst over loci, first setting
plot(1:nloci,dat7_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat7_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[1],side=3,line=0,cex=0.9)
## selected loci position
points(sel4,rep(0.0,length(sel4)),pch=24,bg="gray",cex=0.8)



par(mar=c(2.5,4,1,1))
##-----------
## repFst over loci, second setting
plot(1:nloci,dat8_repFst[,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat8_repFst[start.chr[j]:end.chr[j],plotgen[g]],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[2],side=3,line=0,cex=0.9)
## selected loci position
points(sel4,rep(0.0,length(sel4)),pch=24,bg="gray",cex=0.8)






par(mar=c(3.5,4,0,1))
##-----------
## rFst over loci, single replicate, second setting
r<-1

plot(1:nloci,dat8_rFst[,1,r],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat8_rFst[start.chr[j]:end.chr[j],plotgen[g],r],
              col=my.pal[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext(expression('F'['ST']),side=2,line=2,cex=1)
mtext(mysubheads[3],side=3,line=0,cex=0.9)
## selected loci position
points(sel4,rep(0.0,length(sel4)),pch=24,bg="gray",cex=0.8)



