### Figures that show summary / main results of simulations
##---------------------------------------------------------

## second part, q, het, LD (files 1,3,5,7)

## works only with running 'summaryfigssetup.R'

##-----------
## PLOT
##-----------

mat<-matrix(c(1:(3*nsets)),byrow=F,ncol=nsets,nrow=3)
layout(mat,widths=rep(2,nsets),heights=c(1,1,1))


##---------------------
## first column for plot
##---------------------

par(mar=c(1.5,4,2,1))
##-----------
## rep lsq over loci, first setting
plot(1:nloci,dat1_replsq[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat1_replsq[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.oranges[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Adm. prop.",side=2,line=2,cex=1)
mtext(bc.heads[1],side=3,line=0.25,cex=1)
mtext("A",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)
## selected loci position
points(sel1,rep(0.0,length(sel1)),pch=24,bg="gray",cex=0.8)




par(mar=c(2.5,4,1,1))
##-----------
## rep lshet over loci, first setting
plot(1:nloci,dat1_replshet[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat1_replshet[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.greens[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Inter-source anc.",side=2,line=2,cex=1)
## selected loci position
points(sel1,rep(0.0,length(sel1)),pch=24,bg="gray",cex=0.8)




par(mar=c(3.5,4,0,1))
##-----------
## rep Dprime.5 over loci, first setting
plot(1:nloci,rep(0.5,nloci),type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    step<-5
    for(j in 1:nchr){ ## separate chromosomes
        lines((start.chr[j]:(end.chr[j]-step))+step/2,
              dat1_repDprime.5[start.chr[j]:(end.chr[j]-step),mydeme,plotgen[g]],
              col=my.reds[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext("D'",side=2,line=2,cex=1)
## selected loci position
points(sel1,rep(0.0,length(sel1)),pch=24,bg="gray",cex=0.8)




##---------------------
## second column for plot
##---------------------

par(mar=c(1.5,4,2,1))
##-----------
## rep lsq over loci, third setting
plot(1:nloci,dat3_replsq[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat3_replsq[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.oranges[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Adm. prop.",side=2,line=2,cex=1)
mtext(bc.heads[3],side=3,line=0.25,cex=1)
mtext("B",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)
## selected loci position
points(sel2,rep(0.0,length(sel2)),pch=24,bg="gray",cex=0.8)

legend(legendposition3[1],legend=paste("g=",outgen[plotgen],sep=""),
       col=my.oranges,
               lwd=my.lwd, bty="n",y.intersp=0.9,cex=1.0,ncol=3)




par(mar=c(2.5,4,1,1))
##-----------
## rep lshet over loci, third setting
plot(1:nloci,dat3_replshet[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat3_replshet[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.greens[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Inter-source anc.",side=2,line=2,cex=1)
## selected loci position
points(sel2,rep(0.0,length(sel2)),pch=24,bg="gray",cex=0.8)

legend(legendposition3[2],legend=paste("g=",outgen[plotgen],sep=""),col=my.greens,
               lwd=my.lwd, bty="n",y.intersp=0.9,cex=1.0,ncol=3)



par(mar=c(3.5,4,0,1))
##-----------
## rep Dprime.5 over loci, third setting
plot(1:nloci,rep(0.5,nloci),type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    step<-5
    for(j in 1:nchr){ ## separate chromosomes
        lines((start.chr[j]:(end.chr[j]-step))+step/2,
              dat3_repDprime.5[start.chr[j]:(end.chr[j]-step),mydeme,plotgen[g]],
              col=my.reds[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext("D'",side=2,line=2,cex=1)
## selected loci position
points(sel2,rep(0.0,length(sel2)),pch=24,bg="gray",cex=0.8)

legend(legendposition3[3],legend=paste("g=",outgen[plotgen],sep=""),
       col=my.reds,
               lwd=my.lwd, bty="n",y.intersp=0.9,cex=1.0,ncol=3)




##---------------------
## third column for plot
##---------------------

par(mar=c(1.5,4,2,1))
##-----------
## rep lsq over loci, fifth setting
plot(1:nloci,dat5_replsq[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat5_replsq[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.oranges[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Adm. prop.",side=2,line=2,cex=1)
mtext(bc.heads[5],side=3,line=0.25,cex=1)
mtext("C",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)
## selected loci position
points(sel3,rep(0.0,length(sel3)),pch=24,bg="gray",cex=0.8)




par(mar=c(2.5,4,1,1))
##-----------
## rep lshet over loci, fifth setting
plot(1:nloci,dat5_replshet[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat5_replshet[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.greens[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Inter-source anc.",side=2,line=2,cex=1)
## selected loci position
points(sel3,rep(0.0,length(sel3)),pch=24,bg="gray",cex=0.8)



par(mar=c(3.5,4,0,1))
##-----------
## rep Dprime.5 over loci, fifth setting
plot(1:nloci,rep(0.5,nloci),type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    step<-5
    for(j in 1:nchr){ ## separate chromosomes
        lines((start.chr[j]:(end.chr[j]-step))+step/2,
              dat5_repDprime.5[start.chr[j]:(end.chr[j]-step),mydeme,plotgen[g]],
              col=my.reds[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext("D'",side=2,line=2,cex=1)
## selected loci position
points(sel3,rep(0.0,length(sel3)),pch=24,bg="gray",cex=0.8)




##---------------------
## fourth column for plot
##---------------------

par(mar=c(1.5,4,2,1))
##-----------
## rep lsq over loci, seventh setting
plot(1:nloci,dat7_replsq[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat7_replsq[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.oranges[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Adm. prop.",side=2,line=2,cex=1)
mtext(bc.heads[7],side=3,line=0.25,cex=1)
mtext("D",side=3,line=0.25,cex=1.3,adj= -0.19,font=2)
## selected loci position
points(sel4,rep(0.0,length(sel4)),pch=24,bg="gray",cex=0.8)




par(mar=c(2.5,4,1,1))
##-----------
## rep lshet over loci, seventh setting
plot(1:nloci,dat7_replshet[,mydeme,1],type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    for(j in 1:nchr){ ## separate chromosomes
        lines(start.chr[j]:end.chr[j],dat7_replshet[start.chr[j]:end.chr[j],mydeme,plotgen[g]],
              col=my.greens[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Inter-source anc.",side=2,line=2,cex=1)
## selected loci position
points(sel4,rep(0.0,length(sel4)),pch=24,bg="gray",cex=0.8)



par(mar=c(3.5,4,0,1))
##-----------
## rep Dprime.5 over loci, seventh setting
plot(1:nloci,rep(0.5,nloci),type="n",ylim=c(0,1),xlim=c(0,lastmarker),axes=F,ylab="",xlab="")

abline(v=xsteps,lty=3,col="darkgray",lwd=1)

for(g in 1:length(plotgen)){
    step<-5
    for(j in 1:nchr){ ## separate chromosomes
        lines((start.chr[j]:(end.chr[j]-step))+step/2,
              dat7_repDprime.5[start.chr[j]:(end.chr[j]-step),mydeme,plotgen[g]],
              col=my.reds[g],lwd=my.lwd[g])
    }
}

box()
axis(1,at=end.chr - (nloci/nchr)/2,labels=as.roman(1:nchr),padj= -1.4,cex.axis=1.0,tick=F)
axis(1,at=xsteps,labels=F,col.ticks="darkgray")
axis(2,at=c(0,0.25,0.5,0.75,1),labels=c("0.0","","0.5","","1.0"),padj=0.6,cex.axis=1.1)
mtext("Chromosome",side=1,line=1.8,cex=1)
mtext("D'",side=2,line=2,cex=1)
## selected loci position
points(sel4,rep(0.0,length(sel4)),pch=24,bg="gray",cex=0.8)





